Save web artifacts with automatic S3 upload for images.
curl --request PUT \
--url https://api.parallellabs.app/api/v0/web-artifacts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"artifacts": {},
"companyId": "<string>",
"artifactsId": "<string>",
"brandGuidelines": "<string>",
"globalStyles": "<string>",
"headScripts": "<string>",
"isDefault": true,
"landingPageId": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/web-artifacts"
payload = {
"artifacts": {},
"companyId": "<string>",
"artifactsId": "<string>",
"brandGuidelines": "<string>",
"globalStyles": "<string>",
"headScripts": "<string>",
"isDefault": True,
"landingPageId": "<string>",
"name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifacts: {},
companyId: '<string>',
artifactsId: '<string>',
brandGuidelines: '<string>',
globalStyles: '<string>',
headScripts: '<string>',
isDefault: true,
landingPageId: '<string>',
name: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/web-artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandGuidelines": "<string>",
"favicon": {},
"globalStyles": "<string>",
"headScripts": "<string>",
"id": "<string>",
"images": [
{}
],
"isDefault": true,
"logo": {},
"name": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Landing Pages
Save web artifacts with automatic S3 upload for images.
PUT
/
api
/
v0
/
web-artifacts
Save web artifacts with automatic S3 upload for images.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
application/json
Web artifacts data
Request body for saving web artifacts
Artifact data (favicon, logo, images)
Company ID
Specific artifact set to update
Brand guidelines
Global CSS
Scripts to inject into head
Whether this is the default set
Link to a landing page
Name for this artifact set
Response
Updated web artifacts
⌘I

